curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"asset_id": null,
"assigned_to": null,
"bill_of_materials_number": null,
"created_at": "2026-07-24T12:00:00Z",
"description": null,
"due_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parts_required": {},
"priority": "string",
"quantity_produced": null,
"status": "string",
"title": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Create a new work order
Create a new work order
POST
/
api
/
v1
/
work-orders
curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"asset_id": null,
"assigned_to": null,
"bill_of_materials_number": null,
"created_at": "2026-07-24T12:00:00Z",
"description": null,
"due_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parts_required": {},
"priority": "string",
"quantity_produced": null,
"status": "string",
"title": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Request body
JSON body of typeCreateWorkOrderRequest.
Responses
ApiResponse_WorkOrderResponse
Work order created
ErrorResponse
Invalid request
ErrorResponse
Unauthorized
ErrorResponse
Forbidden
curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"data": {
"asset_id": null,
"assigned_to": null,
"bill_of_materials_number": null,
"created_at": "2026-07-24T12:00:00Z",
"description": null,
"due_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parts_required": {},
"priority": "string",
"quantity_produced": null,
"status": "string",
"title": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI